26 lines
715 B
Diff
26 lines
715 B
Diff
|
From 2cd69b0b5b1e31fcaa0306844c61bffb24a7253a Mon Sep 17 00:00:00 2001
|
||
|
From: =?UTF-8?q?Petr=20P=C3=ADsa=C5=99?= <ppisar@redhat.com>
|
||
|
Date: Tue, 7 May 2013 15:44:52 +0200
|
||
|
Subject: [PATCH] Return non-zero exit code on bad application name
|
||
|
|
||
|
---
|
||
|
script/dancer | 2 +-
|
||
|
1 file changed, 1 insertion(+), 1 deletion(-)
|
||
|
|
||
|
diff --git a/script/dancer b/script/dancer
|
||
|
index eb63000..1561315 100755
|
||
|
--- a/script/dancer
|
||
|
+++ b/script/dancer
|
||
|
@@ -80,7 +80,7 @@ sub validate_app_name {
|
||
|
print STDERR "Error: Invalid application name.\n";
|
||
|
print STDERR "Application names must not contain single colons,"
|
||
|
." dots, hyphens or start with a number.\n";
|
||
|
- exit;
|
||
|
+ exit 1;
|
||
|
}
|
||
|
}
|
||
|
|
||
|
--
|
||
|
1.8.1.4
|
||
|
|